### MATH V3952 <br /> Undergraduate Seminars II <br /> Spring 2016

## Automatic Groups
---

<http://www.math.columbia.edu/~bayer/S16/Seminar/Bayer>

---

![Dave Bayer](../img/DaveBayer.jpg)  

[Dave Bayer](http://www.math.columbia.edu/~bayer)  
[Office Hours](http://www.math.columbia.edu/~bayer/OfficeHours)  
<bayer@math.columbia.edu>  
[426 Mathematics](http://www.columbia.edu/about_columbia/map/mathematics.html)  

---

The topic _automatic groups_ combines the subjects of group theory, studied in mathematics, and automata theory, studied in computer science. A primary motivation is to understand examples in low dimensional topology.

We will learn the computer science and topology that we need, as we go.

[Modern Algebra I](http://www.columbia.edu/cu/bulletin/uwb/subj/MATH/W4041-20161-001/) is a required course for math majors, and introduces the subject of group theory. I will assume that students have either taken this course, or are now taking this course. We will require a comfort with the idea of an abstract group, and we will develop a facility for working with generators and relations, and Cayley graphs of groups. Otherwise, Modern Algebra I takes a different approach to group theory, treating it as an introduction to abstract algebra.

Here is a nice, brief introduction to automatic groups:

* [Automatic Groups: A class of groups solving the word problem](http://www.geom.uiuc.edu/docs/forum/automaticgroups/)

The following Wikipedia pages offer a survey of these topics:

* [Automatic group](https://en.wikipedia.org/wiki/Automatic_group)
* [Presentation of a group](https://en.wikipedia.org/wiki/Presentation_of_a_group)
* [Cayley graph](https://en.wikipedia.org/wiki/Cayley_graph)
* [Finite-state machine](https://en.wikipedia.org/wiki/Finite-state_machine)

---

We will work through as much of this text as we can, taking time to also study together background material and work examples:

* [_Word Processing in Groups_](https://www.crcpress.com/Word-Processing-in-Groups/Epstein/9780867202441),
by [David B.A. Epstein](https://en.wikipedia.org/wiki/David_B._A._Epstein).
[A K Peters/CRC Press](https://www.crcpress.com/), 1992.
ISBN-13: 9780867202441.
$100 suggested retail price.
[Amazon](http://www.amazon.com/dp/0867202440/)
($81), or
[Addall](http://www.addall.com/New/compare.cgi?dispCurr=USD&isbn=9780867202441&state=NY)
($55 and up).

I cannot recommend that you buy a new copy of this book; the print quality is markedly inferior to vintage copies. The sample text on the left is from a new copy. The sample text on the right is from a vintage copy:

![compare](img/compare.jpg)

I recommend that you track down a vintage copy. Check return policies in advance, and consider asking the seller about the text quality; the above image file may be useful for such queries.

There are also digital resources available for this seminar. These files are available privately on [CourseWorks](https://courseworks.columbia.edu).
