#!/bin/bash

# cd to parent directory of this script
bin=$( dirname "$0" )
cd "$bin/.."

# insert tag text
insert () {
   perl -p -e "s|<-$1->|$2|"
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

output1 () {
  markdown | cat head1 - foot | insert title "$1"
}

# index.php
cat index.md |\
   output "$(cat title)" > ../index.php

# source.php
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.php

# links.php
cat links.md |\
   output "$(cat title) (Links)" > ../links.php

# Bayer/index.php
cat Bayer/index.md |\
   output1 "$(cat title)" > ../Bayer/index.php

# Faulk/index.php
cat Faulk/index.md |\
   output1 "$(cat title)" > ../Faulk/index.php

# Pushkar/index.php
cat Pushkar/index.md |\
   output1 "$(cat title)" > ../Pushkar/index.php

# create tarball
(
	cd ..
	tar -czf source.tar.gz source
)

# update math.columbia.edu, then open link
bin/upload.sh
open http://www.math.columbia.edu/~bayer/S16/Seminar
